# SchedulerStats

Get the stats of all schedulers or a specific scheduler by name.

Each stats structure contains the following fields:

* created
* lastExecutionTime
* lastResult
* lastRun
* name
* neverRun
* nextRun
* totalFailures
* totalRuns
* totalSuccess
* #### Method Signature
* ```
  SchedulerStats(name=[string])
  ```
* **Arguments**

| Argument | Type     | Required | Description                                                                   | Default |
| -------- | -------- | -------- | ----------------------------------------------------------------------------- | ------- |
| `name`   | `string` | `false`  | The name of the scheduler to get stats on or if not passed for all schedulers |         |

* #### Examples
* #### Related
* [SchedulerGet](/boxlang-language/reference/built-in-functions/scheduler/schedulerget.md)
* [SchedulerGetAll](/boxlang-language/reference/built-in-functions/scheduler/schedulergetall.md)
* [SchedulerList](/boxlang-language/reference/built-in-functions/scheduler/schedulerlist.md)
* [SchedulerRestart](/boxlang-language/reference/built-in-functions/scheduler/schedulerrestart.md)
* [SchedulerShutdown](/boxlang-language/reference/built-in-functions/scheduler/schedulershutdown.md)
* [SchedulerStart](/boxlang-language/reference/built-in-functions/scheduler/schedulerstart.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/scheduler/schedulerstats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
